[omd-users] OMD Error

omdfirstomdlast at yahoo.com omdfirstomdlast at yahoo.com
Sun Jan 1 19:44:15 CET 2017


Hi Friends,
I have installed OMD omd-1.20.rhel7.x86_64.rpm on Centos 7 successfully. I have verified the OMD status and its running as follows. I have invested lot of my time getting to this stage ablocked by one error. I have pasted the error in this email thread. I have searched for this error in google couldn't resolve the issue. Can some one help on this please? 

omd statusDoing 'status' on site preprod:rrdcached:      runningnpcd:           runningnagios:         runningapache:         runningcrontab:        running-----------------------Overall state:  running

But when I access the web site URL http://MYIP/preprod/omd/, I am getting the following error in apache error log. 

[Sun Jan 01 18:40:54.523322 2017] [:error] [pid 2317] make_obcallback: could not import mod_python.apache.\nTraceback (most recent call last):  File "/omd/versions/1.20/lib/python/mod_python/apache.py", line 29, in <module>    import cgi  File "/usr/lib64/python2.7/cgi.py", line 50, in <module>    import mimetools  File "/usr/lib64/python2.7/mimetools.py", line 6, in <module>    import tempfile  File "/usr/lib64/python2.7/tempfile.py", line 35, in <module>    from random import Random as _Random  File "/usr/lib64/python2.7/random.py", line 49, in <module>    import hashlib as _hashlib  File "/omd/versions/1.20/lib/python/hashlib.py", line 115, in <module>    f()TypeError: 'frozenset' object is not callable[Sun Jan 01 18:40:54.523526 2017] [:error] [pid 2317] make_obcallback: Python path being used "['/omd/versions/1.20/lib/python', '/omd/sites/preprod/lib/python/pyasn1-0.1.7-py2.7.egg', '/omd/sites/preprod/lib/python/pysnmp-4.2.4-py2.7.egg', '/omd/sites/preprod/lib/python/pysphere-0.1.7-py2.7.egg', '/omd/sites/preprod/lib/python/setuptools-0.6c11-py2.7.egg', '/omd/sites/preprod/lib/python/Pyro4-4.18-py2.7.egg', '/omd/sites/preprod/lib/python/multiprocessing-2.6.2.1-py2.7-linux-x86_64.egg', '/omd/sites/preprod/lib/python/pymongo-2.5.2-py2.7-linux-x86_64.egg', '/omd/sites/preprod/lib/python', '/omd/sites/preprod/local/lib/python', '/usr/lib64/python27.zip', '/usr/lib64/python2.7', '/usr/lib64/python2.7/plat-linux2', '/usr/lib64/python2.7/lib-tk', '/usr/lib64/python2.7/lib-old', '/usr/lib64/python2.7/lib-dynload', '/usr/lib64/python2.7/site-packages', '/usr/lib64/python2.7/site-packages/gtk-2.0', '/usr/lib/python2.7/site-packages']".[Sun Jan 01 18:40:54.523550 2017] [:error] [pid 2317] get_interpreter: no interpreter callback found.[Sun Jan 01 18:40:54.523603 2017] [:error] [pid 2317] [client 127.0.0.1:55586] python_handler: Can't get/create interpreter.[Sun Jan 01 18:40:54.530817 2017] [:error] [pid 2317] make_obcallback: could not import mod_python.apache.\nTraceback (most recent call last):  File "/omd/versions/1.20/lib/python/mod_python/apache.py", line 29, in <module>    import cgi  File "/usr/lib64/python2.7/cgi.py", line 50, in <module>    import mimetools  File "/usr/lib64/python2.7/mimetools.py", line 6, in <module>    import tempfile  File "/usr/lib64/python2.7/tempfile.py", line 35, in <module>    from random import Random as _Random  File "/usr/lib64/python2.7/random.py", line 49, in <module>    import hashlib as _hashlib  File "/omd/versions/1.20/lib/python/hashlib.py", line 115, in <module>    f()TypeError: 'frozenset' object is not callable[Sun Jan 01 18:40:54.531105 2017] [:error] [pid 2317] make_obcallback: Python path being used "['/omd/versions/1.20/lib/python', '/omd/versions/1.20/lib/python', '/omd/sites/preprod/lib/python/pyasn1-0.1.7-py2.7.egg', '/omd/sites/preprod/lib/python/pysnmp-4.2.4-py2.7.egg', '/omd/sites/preprod/lib/python/pysphere-0.1.7-py2.7.egg', '/omd/sites/preprod/lib/python/setuptools-0.6c11-py2.7.egg', '/omd/sites/preprod/lib/python/Pyro4-4.18-py2.7.egg', '/omd/sites/preprod/lib/python/multiprocessing-2.6.2.1-py2.7-linux-x86_64.egg', '/omd/sites/preprod/lib/python/pymongo-2.5.2-py2.7-linux-x86_64.egg', '/omd/sites/preprod/lib/python', '/omd/sites/preprod/local/lib/python', '/usr/lib64/python27.zip', '/usr/lib64/python2.7', '/usr/lib64/python2.7/plat-linux2', '/usr/lib64/python2.7/lib-tk', '/usr/lib64/python2.7/lib-old', '/usr/lib64/python2.7/lib-dynload', '/usr/lib64/python2.7/site-packages', '/usr/lib64/python2.7/site-packages/gtk-2.0', '/usr/lib/python2.7/site-packages']".[Sun Jan 01 18:40:54.531114 2017] [:error] [pid 2317] get_interpreter: no interpreter callback found.[Sun Jan 01 18:40:54.531117 2017] [:error] [pid 2317] [client 127.0.0.1:55586] python_handler: Can't get/create interpreter.

Thank you in advance.
Thanks-Venki
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.mathias-kettner.de/pipermail/omd-users/attachments/20170101/39ca21ab/attachment-0001.html>


More information about the omd-users mailing list